Package org.apache.catalina.servlets

# Class WebdavServlet.ProppatchOperation

java.lang.Object
org.apache.catalina.servlets.WebdavServlet.ProppatchOperation

Enclosing class:
  WebdavServlet

public static class WebdavServlet.ProppatchOperation extends Object
Represents a PROPPATCH sub operation to be performed.

## Constructor Summary

Constructors
Constructor
Description
`ProppatchOperation(org.apache.catalina.servlets.WebdavServlet.PropertyUpdateType updateType, Node propertyNode)`
PROPPATCH operation constructor.

## Method Summary

Modifier and Type
Method
Description
`Node`
`getPropertyNode()`
`boolean`
`getProtectedProperty()`
`int`
`getStatusCode()`
`org.apache.catalina.servlets.WebdavServlet.PropertyUpdateType`
`getUpdateType()`
`void`
`setStatusCode(int statusCode)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ProppatchOperation

public ProppatchOperation(org.apache.catalina.servlets.WebdavServlet.PropertyUpdateType updateType, Node propertyNode)
PROPPATCH operation constructor.

Parameters:
  `updateType` - the update type, either SET or REMOVE
  `propertyNode` - the XML node that contains the property name (and value if SET)

## Method Details

### getUpdateType

public org.apache.catalina.servlets.WebdavServlet.PropertyUpdateType getUpdateType()

Returns:
  the updateType for this operation

### getPropertyNode

public Node getPropertyNode()

Returns:
  the propertyNode the XML node that contains the property name (and value if SET)

### getStatusCode

public int getStatusCode()

Returns:
  the statusCode the statusCode to set as a result of the operation

### setStatusCode

public void setStatusCode(int statusCode)

Parameters:
  `statusCode` - the statusCode to set as a result of the operation

### getProtectedProperty

public boolean getProtectedProperty()

Returns:
  `true` if the property is protected